# cc_credentials_v4_t Struct Reference
[cc_credentials_t Overview]

## Detailed Description

If a cc_credentials_t variable is used to store Kerberos v4 credentials, then credentials.credentials_v4 points to a v4 credentials structure. This structure is similar to a krb4 API CREDENTIALS structure.

## Data Fields

- cc_uint32 version
- char principal [cc_v4_name_size]
- char principal_instance [cc_v4_instance_size]
- char service [cc_v4_name_size]
- char service_instance [cc_v4_instance_size]
- char realm [cc_v4_realm_size]
- unsigned char session_key [cc_v4_key_size]
- cc_int32 kvno
- cc_int32 string_to_key_type
- cc_time_t issue_date
- cc_int32 lifetime
- cc_uint32 address
- cc_int32 ticket_size
- unsigned char ticket [cc_v4_ticket_size]

## Field Documentation

cc_uint32 version

char principal[cc_v4_name_size]

| A properly quoted string representation of the first component of the client principal

char principal_instance[cc_v4_instance_size]

| A properly quoted string representation of the second component of the client principal

char service[cc_v4_name_size]

| A properly quoted string representation of the first component of the service principal

char service_instance[cc_v4_instance_size]

| A properly quoted string representation of the second component of the service principal

char realm[cc_v4_realm_size]

| A properly quoted string representation of the realm

unsigned char session_key[cc_v4_key_size]

| Ticket session key

cc_int32 kvno

| Key version number

cc_int32 string_to_key_type

| String to key type used. See cc_string_to_key_type for valid values

cc_time_t issue_date

| Time when the ticket was issued

cc_int32 lifetime

| Ticket lifetime in 5 minute units

cc_uint32 address

| IPv4 address of the client the ticket was issued for

cc_int32 ticket_size

| Ticket size (no greater than cc_v4_ticket_size)

unsigned char ticket[cc_v4_ticket_size]

| Ticket data